Transactions
List transactions
GET
Requires scope transactions:read.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
paymentId?unknownOnly the transactions one payment link payment caused: its deposit, its sweep to the business and any recovery.
purpose?stringValue in
"transfer""swap""bridge""paylink_deposit""paylink_sweep""paylink_recovery"chain?unknownkind?unknownstatus?unknownwalletId?unknowncursor?unknownlimit?unknownResponse Body
200application/json
Transaction page
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X GET 'https://api.pilot.shiga.io/v1/transactions' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "treasury": true, "chain": "string", "direction": "outgoing", "purpose": "transfer", "paymentId": "472e651e-5a1e-424d-8098-23858bf03ad7", "reference": "string", "status": "submitted", "error": "string", "outcomeUndetermined": true, "transactionHash": "string", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "summary": {}, "senderAddress": "string", "destinationAddress": "string", "signerCredentialId": "string", "signerLabel": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "submittedAt": "2019-08-24T14:15:22Z", "reconciledAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string" }, "status": 200, "success": true}